Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 619386 - dev-ruby/hpricot-0.8.6-r5 : * ERROR: dev-ruby/hpricot-0.8.6-r5::gentoo failed (compile phase):
Summary: dev-ruby/hpricot-0.8.6-r5 : * ERROR: dev-ruby/hpricot-0.8.6-r5::gentoo faile...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Ruby Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-22 17:43 UTC by Toralf Förster
Modified: 2017-05-23 05:35 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,5.57 KB, text/plain)
2017-05-22 17:43 UTC, Toralf Förster
Details
dev-ruby:hpricot-0.8.6-r5:20170522-080555.log (dev-ruby:hpricot-0.8.6-r5:20170522-080555.log,2.77 KB, text/plain)
2017-05-22 17:43 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,169.02 KB, text/plain)
2017-05-22 17:43 UTC, Toralf Förster
Details
environment (environment,161.16 KB, text/plain)
2017-05-22 17:43 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,24.07 KB, application/x-bzip)
2017-05-22 17:43 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-05-22 17:43:19 UTC
 * Running compile phase for ruby21 ...
To build, please first gem install rake-compiler
 * ERROR: dev-ruby/hpricot-0.8.6-r5::gentoo failed (compile phase):
 *   (no error message)
 * 
 * Call stack:

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: desktop-gcc5_20170519-190644

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-5.4.0 *

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python2.7 (fallback)
  [3]   pypy3 (fallback)
Available Ruby profiles:
  [1]   ruby21 (with Rubygems) *
  [2]   ruby22 (with Rubygems)
java-config:
The following VMs are available for generation-2:
Available Java Virtual Machines:
  (none found)
Comment 1 Toralf Förster gentoo-dev 2017-05-22 17:43:22 UTC
Created attachment 473770 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-05-22 17:43:25 UTC
Created attachment 473772 [details]
dev-ruby:hpricot-0.8.6-r5:20170522-080555.log
Comment 3 Toralf Förster gentoo-dev 2017-05-22 17:43:28 UTC
Created attachment 473774 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2017-05-22 17:43:31 UTC
Created attachment 473776 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2017-05-22 17:43:35 UTC
Created attachment 473778 [details]
etc.portage.tbz2
Comment 6 Hans de Graaff gentoo-dev 2017-05-23 05:35:33 UTC
(In reply to Toralf Förster from comment #0)
>  * Running compile phase for ruby21 ...
> To build, please first gem install rake-compiler

dev-ruby/rake-compiler is a DEPEND for this package, so it should have been installed.